from cpf import CPF

import datetime

class Pessoa(object):

    def __init__(self, nome, cpf, data_nascimento):
        self.nome = nome
        self.data_nascimento = data_nascimento
        self.cpf = CPF(cpf)
        if not self.cpf.isValid():
            raise ValueError("CPF inválido!")

    def idade(self):
        agora = datetime.date.today()
        idade = (agora - self.data_nascimento)
        return idade.days / 365
